import { useContext } from 'react';
function useController(context) {
    var controller = useContext(context._context);
    if (controller === undefined) {
        throw new Error('Not Provided'); // later alternative with class
    }
    return controller;
}
export { useController };
//# sourceMappingURL=useController.js.map