"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useController = void 0;
var react_1 = require("react");
function useController(context) {
    var controller = (0, react_1.useContext)(context._context);
    if (controller === undefined) {
        throw new Error('Not Provided'); // later alternative with class
    }
    return controller;
}
exports.useController = useController;
//# sourceMappingURL=useController.js.map